public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alex Brandt" <alunduil@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/radon/
Date: Sun, 10 Apr 2016 22:08:34 +0000 (UTC)	[thread overview]
Message-ID: <1460326080.5429d698791b48466e92dba0944f5e08cab540cf.alunduil@gentoo> (raw)

commit:     5429d698791b48466e92dba0944f5e08cab540cf
Author:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 22:05:01 2016 +0000
Commit:     Alex Brandt <alunduil <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 22:08:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5429d698

dev-python/radon: add version 1.3.2

Package-Manager: portage-2.2.28

 dev-python/radon/Manifest           |  1 +
 dev-python/radon/radon-1.3.2.ebuild | 53 +++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/radon/Manifest b/dev-python/radon/Manifest
index 6be972d..fb07d57 100644
--- a/dev-python/radon/Manifest
+++ b/dev-python/radon/Manifest
@@ -1,3 +1,4 @@
 DIST radon-1.2.1.tar.gz 1633366 SHA256 bacc94a4a5c1a3e9410944e8e4e0f0aaf7dcf066c9b35bd92ac8eba5d47429fa SHA512 5676695344b7cf574abd9079ee3856debdf3ac4bda4a1c52e00406e2bbb71ad74f320f43638887e30db073fd623070a97fc44c031eec13588e953b33b549e2bf WHIRLPOOL 2ab535d0fe0b56b538dbe389b68e522468611f25c797c69343f4da700ae6129dc725051998238f0f136c45382f29887cdccc899aeaab000796f22a9962d40505
 DIST radon-1.2.2.tar.gz 3468244 SHA256 3cab798af062632ad275092c537e409f8948c19034e98d3ab243ce455b4eee9d SHA512 2bd424ca81fd55d1bf444e7b2a228bd11ee23a7f77cad488fa45e8ce888282373f1729f7f00ca2f19838e10bbc1dabb1602f5bbac396702b52309a60671ef0a7 WHIRLPOOL 46e549bd9d29cd7d54a4e9746ea67f541919fdb90769f1cb3b70b51420b85bacac024b6bc0c16f25f4257652f76d750892bf2eefb146ea0ae76ef7718de11781
 DIST radon-1.3.1.tar.gz 3472429 SHA256 292afbb0e4e489d0b52ea6ce6e34008f2c62e359969d9ef5967ffbd18ae210ba SHA512 21088696f29479ae188064ee3864ae8fdee3687b322f2b60ea8deeafca93e582b37b739e2251da6cd47c18a67fbb527acb6293233652dc8993224ba7cc471d8c WHIRLPOOL 32806fd18bfd5f26148cc78f412179c4f5395d4af1548a61851b957d89eddaef466fff220231fbb17c3f41e0be15cb4a3d9196af67811edadf2b0b67e0f28ee6
+DIST radon-1.3.2.tar.gz 3454351 SHA256 2f8f70f9d445ddf9327c750a36ecd0231ced8bc80271333a980368ec282ab69d SHA512 60857e82742c2d1ecb2ddf9a1ffdd23066ca5ad4939ee7afe07b0309385000fb7ba8d69ae58b00174f0ec2f758ed40ccf0677e56e2904fa6d5220a4bb6d31e21 WHIRLPOOL 4aba7ab2a831ed693349f42b9371c1af9f3192e7f93f6e660d19d1d9b9fd0f5c4d91ef54be53a1d333d4b65a0d91586de10050117162ac090d18477e7dd8a8c7

diff --git a/dev-python/radon/radon-1.3.2.ebuild b/dev-python/radon/radon-1.3.2.ebuild
new file mode 100644
index 0000000..64950fc
--- /dev/null
+++ b/dev-python/radon/radon-1.3.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_3 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="Code Metrics in Python"
+HOMEPAGE="https://radon.readthedocs.org/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RCDEPEND="
+	>=dev-python/colorama-0.3[${PYTHON_USEDEP}]
+	<dev-python/colorama-0.4[${PYTHON_USEDEP}]
+	>=dev-python/mando-0.3[${PYTHON_USEDEP}]
+	<dev-python/mando-0.4[${PYTHON_USEDEP}]
+"
+DEPEND="
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+	${CDEPEND}
+	test? (
+		${RCDEPEND}
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+		dev-python/paramunittest[${PYTHON_USEDEP}]
+	)
+"
+RDEPEND="
+	${CDEPEND}
+	${RCDEPEND}
+"
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	"${PYTHON}" radon/tests/run.py || die "tests failed to run under ${EPYTHON}"
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/_build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-04-10 22:08 UTC|newest]

Thread overview: 54+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-10 22:08 Alex Brandt [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-17 16:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/radon/ Michał Górny
2023-10-02  4:46 Michał Górny
2023-04-28 14:40 Michał Górny
2023-04-28 14:36 Arthur Zamarin
2023-03-26 18:02 Michał Górny
2023-03-16  4:07 Michał Górny
2022-11-30 10:18 WANG Xuerui
2022-11-07 21:13 Andrew Ammerlaan
2022-05-27 19:48 Michał Górny
2022-05-27  9:07 Jakov Smolić
2022-04-26 10:56 Michał Górny
2022-04-26 10:56 Michał Górny
2022-02-02 10:48 Sam James
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 15:29 Arthur Zamarin
2022-01-29 14:03 Arthur Zamarin
2022-01-29  7:31 Arthur Zamarin
2022-01-02 13:21 Yixun Lan
2021-12-31 16:53 Matt Turner
2021-12-30  8:47 Sam James
2021-12-28 19:43 Arthur Zamarin
2021-12-28 19:40 Arthur Zamarin
2021-12-28 19:30 Arthur Zamarin
2021-12-28 18:54 Arthur Zamarin
2021-12-28 18:53 Arthur Zamarin
2021-12-28 18:51 Arthur Zamarin
2021-12-28 18:49 Arthur Zamarin
2021-12-28 10:19 Sam James
2021-12-27 19:18 Jakov Smolić
2021-10-17  9:25 Michał Górny
2021-08-09  7:51 Michał Górny
2021-06-08 23:12 Michał Górny
2021-06-06 23:53 Sam James
2021-06-06 23:53 Sam James
2021-06-06 23:53 Sam James
2021-05-24 10:22 Michał Górny
2021-05-10  7:24 Michał Górny
2021-05-10  7:24 Michał Górny
2020-04-04  6:41 Zac Medico
2020-04-04  5:13 Zac Medico
2018-03-10 14:56 Pacho Ramos
2018-03-10 14:56 Pacho Ramos
2017-10-04  8:57 Michał Górny
2017-08-02 11:28 Michał Górny
2017-04-26 16:34 Michał Górny
2016-08-06 14:54 Alex Brandt
2016-08-06 14:54 Alex Brandt
2016-06-11 15:32 Alex Brandt
2016-06-11 15:32 Alex Brandt
2016-04-10 22:08 Alex Brandt
2016-03-27 14:06 Alex Brandt
2016-03-27 14:06 Alex Brandt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1460326080.5429d698791b48466e92dba0944f5e08cab540cf.alunduil@gentoo \
    --to=alunduil@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox